package xyzzy.hardware;

import java.io.InputStream;
import java.io.IOException;
import java.util.Properties;

/** Provides several static methods as general utilities.  */
public class Utils
{
    public static Properties getResourceAsProperties (
	final Class clazz, final String name )
	throws IOException
    {
	final Properties prop = new Properties();
	final InputStream is = clazz.getResourceAsStream( name );
	if ( is != null ) {
	    try {
		prop.load( is );
	    } finally {
		is.close();
	    }
	}	    
	return prop;
    }
}
